"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var React = _interopRequireWildcard(require("react"));
var _BaseText = _interopRequireDefault(require("../../blocks/BaseText"));
var _reactNative = require("react-native");
var _isEditing = require("../../../functions/is-editing");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); } /**
 * This import is used by the Svelte SDK. Do not remove.
 */
function SelectComponent(props) {
  var _props$options;
  return /*#__PURE__*/React.createElement(_reactNative.View, _extends({}, props.attributes, {
    value: props.value,
    key: (0, _isEditing.isEditing)() && props.defaultValue ? props.defaultValue : "default-key",
    defaultValue: props.defaultValue,
    name: props.name,
    required: props.required
  }), (_props$options = props.options) === null || _props$options === void 0 ? void 0 : _props$options.map((option, index) => /*#__PURE__*/React.createElement(_reactNative.View, {
    key: `${option.name}-${index}`,
    value: option.value
  }, /*#__PURE__*/React.createElement(_BaseText.default, null, option.name || option.value))));
}
var _default = exports.default = SelectComponent;
//# sourceMappingURL=select.js.map