"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SDK_NAME = void 0;
var _target = require("./target");
const SDK_NAME_FOR_TARGET = (() => {
  switch (_target.TARGET) {
    case 'rsc':
      return 'react-nextjs';
    case 'reactNative':
      return 'react-native';
    default:
      return _target.TARGET;
  }
})();
const SDK_NAME = exports.SDK_NAME = `@builder.io/sdk-${SDK_NAME_FOR_TARGET}`;
//# sourceMappingURL=sdk-name.js.map