"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isEdgeRuntime = isEdgeRuntime;
var _isBrowser = require("./is-browser");
var _isNodeRuntime = require("./is-node-runtime");
/**
 * Identifies edge runtimes (edge, workers, serverless, etc.)
 */
function isEdgeRuntime() {
  return !(0, _isBrowser.isBrowser)() && !(0, _isNodeRuntime.isNodeRuntime)();
}
//# sourceMappingURL=is-edge-runtime.js.map