"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setEditorSettings = setEditorSettings;
var _isBrowser = require("./is-browser");
const settings = {};
function setEditorSettings(newSettings) {
  if ((0, _isBrowser.isBrowser)()) {
    Object.assign(settings, newSettings);
    const message = {
      type: 'builder.settingsChange',
      data: settings
    };
    parent.postMessage(message, '*');
  }
}
//# sourceMappingURL=set-editor-settings.js.map