function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from "react";
import { TextInput } from "react-native";

/**
 * This import is used by the Svelte SDK. Do not remove.
 */

import { isEditing } from "../../../functions/is-editing";
function FormInputComponent(props) {
  return /*#__PURE__*/React.createElement(TextInput, _extends({}, props.attributes, {
    key: isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    placeholder: props.placeholder,
    type: props.type,
    name: props.name,
    value: props.value,
    defaultValue: props.defaultValue,
    required: props.required
  }));
}
export default FormInputComponent;
//# sourceMappingURL=input.js.map