import * as React from "react";
import { useState } from "react";
import InlinedStyles from "../../inlined-styles";
import { getCss, getDefaultStyles, getFontCss } from "./styles.helpers";
function ContentStyles(props) {
  const [injectedStyles, setInjectedStyles] = useState(() => `
${getCss({
    cssCode: props.cssCode,
    contentId: props.contentId
  })}
${getFontCss({
    customFonts: props.customFonts
  })}
${getDefaultStyles(props.isNestedRender)}
`.trim());
  return /*#__PURE__*/React.createElement(InlinedStyles, {
    id: "builderio-content",
    styles: injectedStyles,
    nonce: props.nonce
  });
}
export default ContentStyles;
//# sourceMappingURL=styles.js.map