export const getRootStateInitialValue = ({
  content,
  data,
  locale
}) => {
  var _content$data, _content$data2;
  const defaultValues = {};
  const initialState = (content === null || content === void 0 || (_content$data = content.data) === null || _content$data === void 0 ? void 0 : _content$data.state) || {};

  // set default values for content state inputs
  content === null || content === void 0 || (_content$data2 = content.data) === null || _content$data2 === void 0 || (_content$data2 = _content$data2.inputs) === null || _content$data2 === void 0 || _content$data2.forEach(input => {
    if (input.name && input.defaultValue !== undefined) {
      defaultValues[input.name] = input.defaultValue;
    }
  });
  return {
    ...defaultValues,
    ...initialState,
    ...data,
    ...(locale ? {
      locale
    } : {})
  };
};
export const getContentInitialValue = ({
  content,
  data
}) => {
  return !content ? undefined : {
    ...content,
    data: {
      ...(content === null || content === void 0 ? void 0 : content.data),
      ...data
    },
    meta: content === null || content === void 0 ? void 0 : content.meta
  };
};
//# sourceMappingURL=content.helpers.js.map