export type SizeName = 'large' | 'medium' | 'small' | 'xsmall';
interface Size {
    min: number;
    default: number;
    max: number;
}
export declare const getMaxWidthQueryForSize: (size: SizeName, sizeValues?: Record<SizeName, Size>) => string;
interface Breakpoints {
    xsmall?: number;
    small?: number;
    medium?: number;
}
export declare const getSizesForBreakpoints: (breakpoints: Breakpoints) => Record<SizeName, Size>;
export {};
//# sourceMappingURL=device-sizes.d.ts.map