"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var React = _react;
var _block = _interopRequireDefault(require("../../block"));
var _interactiveElement = _interopRequireDefault(require("../interactive-element"));
var _componentRef = require("./component-ref.helpers");
var _builder = _interopRequireDefault(require("../../../../context/builder.context"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ComponentRef(props) {
  var _props$blockChildren;
  const [shouldUpdate, setShouldUpdate] = (0, _react.useState)(() => false);
  const [Wrapper, setWrapper] = (0, _react.useState)(() => props.isInteractive ? _interactiveElement.default : props.componentRef);
  (0, _react.useEffect)(() => {}, [props.componentOptions, props.blockChildren]);
  return /*#__PURE__*/React.createElement(_builder.default.Provider, {
    value: {
      content: props.context.content,
      rootState: props.context.rootState,
      localState: props.context.localState,
      context: props.context.context,
      apiKey: props.context.apiKey,
      componentInfos: props.context.componentInfos,
      inheritedStyles: props.context.inheritedStyles,
      apiVersion: props.context.apiVersion
    }
  }, props.componentRef ? /*#__PURE__*/React.createElement(Wrapper, (0, _componentRef.getWrapperProps)({
    componentOptions: props.componentOptions,
    builderBlock: props.builderBlock,
    context: props.context,
    componentRef: props.componentRef,
    linkComponent: props.linkComponent,
    includeBlockProps: props.includeBlockProps,
    isInteractive: props.isInteractive,
    contextValue: props.context
  }), (_props$blockChildren = props.blockChildren) === null || _props$blockChildren === void 0 ? void 0 : _props$blockChildren.map(child => /*#__PURE__*/React.createElement(_block.default, {
    key: child.id,
    block: child,
    context: props.context,
    registeredComponents: props.registeredComponents,
    linkComponent: props.linkComponent
  }))) : null);
}
var _default = exports.default = ComponentRef;
//# sourceMappingURL=component-ref.js.map