function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from "react";
import BaseText from "../../blocks/BaseText";
import { View } from "react-native";

/**
 * This import is used by the Svelte SDK. Do not remove.
 */

import { isEditing } from "../../../functions/is-editing";
function SelectComponent(props) {
  var _props$options;
  return /*#__PURE__*/React.createElement(View, _extends({}, props.attributes, {
    value: props.value,
    key: isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    defaultValue: props.defaultValue,
    name: props.name,
    required: props.required
  }), (_props$options = props.options) === null || _props$options === void 0 ? void 0 : _props$options.map((option, index) => /*#__PURE__*/React.createElement(View, {
    key: `${option.name}-${index}`,
    value: option.value
  }, /*#__PURE__*/React.createElement(BaseText, null, option.name || option.value))));
}
export default SelectComponent;
//# sourceMappingURL=select.js.map