"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _BaseText = _interopRequireDefault(require("../../blocks/BaseText"));
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _dynamicRenderer = _interopRequireDefault(require("../../components/dynamic-renderer/dynamic-renderer"));
var _getClassPropName = require("../../functions/get-class-prop-name");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function BuilderButton(props) {
  function attrs() {
    return {
      ...props.attributes,
      [(0, _getClassPropName.getClassPropName)()]: `${props.link ? "" : "builder-button"} ${props.attributes[(0, _getClassPropName.getClassPropName)()] || ""}`,
      ...(props.link ? {
        href: props.link,
        target: props.openLinkInNewTab ? "_blank" : undefined,
        role: "link"
      } : {
        role: "button"
      })
    };
  }
  return /*#__PURE__*/React.createElement(_dynamicRenderer.default, {
    attributes: attrs(),
    TagName: props.link ?
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    props.builderLinkComponent || _BaseText.default :
    // eslint-disable-next-line @typescript-eslint/ban-ts-comment
    // @ts-ignore
    _BaseText.default,
    actionAttributes: {}
  }, /*#__PURE__*/React.createElement(_reactNative.Text, null, props.text));
}
var _default = exports.default = BuilderButton;
//# sourceMappingURL=button.js.map