function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from "react";
import { View } from "react-native";
import { useState, useEffect } from "react";
import ContentVariants from "../../components/content-variants/index";
import { fetchSymbolContent } from "./symbol.helpers";
function Symbol(props) {
  var _props$builderBlock, _props$symbol7, _contentToUse$data, _props$symbol8;
  function blocksWrapper() {
    return View;
  }
  function contentWrapper() {
    return View;
  }
  function className() {
    var _props$symbol, _props$symbol2;
    return [...[], "builder-symbol", (_props$symbol = props.symbol) !== null && _props$symbol !== void 0 && _props$symbol.inline ? "builder-inline-symbol" : undefined, (_props$symbol2 = props.symbol) !== null && _props$symbol2 !== void 0 && _props$symbol2.dynamic || props.dynamic ? "builder-dynamic-symbol" : undefined].filter(Boolean).join(" ");
  }
  const [contentToUse, setContentToUse] = useState(() => {
    var _props$symbol3;
    return (_props$symbol3 = props.symbol) === null || _props$symbol3 === void 0 ? void 0 : _props$symbol3.content;
  });
  const [symbolEntry, setSymbolEntry] = useState(() => {
    var _props$symbol4;
    return (_props$symbol4 = props.symbol) === null || _props$symbol4 === void 0 ? void 0 : _props$symbol4.entry;
  });
  function setContent() {
    var _props$symbol5;
    if (contentToUse && symbolEntry === ((_props$symbol5 = props.symbol) === null || _props$symbol5 === void 0 ? void 0 : _props$symbol5.entry)) return;
    fetchSymbolContent({
      symbol: props.symbol,
      builderContextValue: props.builderContext
    }).then(newContent => {
      if (newContent) {
        var _props$symbol6;
        setContentToUse(newContent);
        setSymbolEntry((_props$symbol6 = props.symbol) === null || _props$symbol6 === void 0 ? void 0 : _props$symbol6.entry);
      }
    });
  }
  useEffect(() => {}, []);
  useEffect(() => {
    setContent();
  }, [props.symbol]);
  return /*#__PURE__*/React.createElement(View, _extends({}, props.attributes, {
    dataSet: {
      class: className()
    }
  }), /*#__PURE__*/React.createElement(ContentVariants, {
    nonce: props.builderContext.nonce,
    isNestedRender: true,
    apiVersion: props.builderContext.apiVersion,
    apiKey: props.builderContext.apiKey,
    context: {
      ...props.builderContext.context,
      symbolId: (_props$builderBlock = props.builderBlock) === null || _props$builderBlock === void 0 ? void 0 : _props$builderBlock.id
    },
    customComponents: Object.values(props.builderComponents),
    data: {
      ...((_props$symbol7 = props.symbol) === null || _props$symbol7 === void 0 ? void 0 : _props$symbol7.data),
      ...props.builderContext.localState,
      ...(contentToUse === null || contentToUse === void 0 || (_contentToUse$data = contentToUse.data) === null || _contentToUse$data === void 0 ? void 0 : _contentToUse$data.state)
    },
    canTrack: props.builderContext.canTrack,
    model: ((_props$symbol8 = props.symbol) === null || _props$symbol8 === void 0 ? void 0 : _props$symbol8.model) ?? "",
    content: contentToUse,
    linkComponent: props.builderLinkComponent,
    blocksWrapper: blocksWrapper(),
    contentWrapper: contentWrapper()
  }));
}
export default Symbol;
//# sourceMappingURL=symbol.js.map