import * as React from "react";
import { useState, useEffect } from "react";
import BuilderContext from "../../../context/builder.context";
import Block from "../block";
function RepeatedBlock(props) {
  const [store, setStore] = useState(() => props.repeatContext);
  useEffect(() => {
    setStore(props.repeatContext);
  }, [props.repeatContext]);
  return /*#__PURE__*/React.createElement(BuilderContext.Provider, {
    value: store
  }, /*#__PURE__*/React.createElement(Block, {
    block: props.block,
    context: store,
    registeredComponents: props.registeredComponents,
    linkComponent: props.linkComponent
  }));
}
export default RepeatedBlock;
//# sourceMappingURL=repeated-block.js.map