import { evaluate } from "./evaluate/evaluate";
export function getBlockComponentOptions(block, context) {
  var _block$component;
  return {
    ...((_block$component = block.component) === null || _block$component === void 0 ? void 0 : _block$component.options),
    ...block.options,
    ...evaluateTextComponentTextOption(block, context)
  };
}
const evaluateTextComponentTextOption = (block, context) => {
  var _block$component2, _block$component$opti;
  if (((_block$component2 = block.component) === null || _block$component2 === void 0 ? void 0 : _block$component2.name) === 'Text' && (_block$component$opti = block.component.options) !== null && _block$component$opti !== void 0 && _block$component$opti.text && typeof block.component.options.text === 'string') {
    return {
      ...block.component.options,
      text: block.component.options.text.replace(/{{([^}]+)}}/g, (_match, group) => evaluate({
        code: group,
        context,
        localState: context.localState,
        rootState: context.rootState,
        rootSetState: context.rootSetState
      }))
    };
  }
};
//# sourceMappingURL=get-block-component-options.js.map