export interface UserAttributes {
    [key: string]: any;
}
export declare const USER_ATTRIBUTES_COOKIE_NAME = "builder.userAttributes";
export declare function createUserAttributesService(): {
    setUserAttributes(newAttrs: UserAttributes): void;
    getUserAttributes(): any;
    subscribeOnUserAttributesChange(callback: (attrs: UserAttributes) => void, { fireImmediately }?: {
        fireImmediately?: boolean;
    }): () => void;
    setCanTrack(value: boolean): void;
};
export declare const userAttributesService: {
    setUserAttributes(newAttrs: UserAttributes): void;
    getUserAttributes(): any;
    subscribeOnUserAttributesChange(callback: (attrs: UserAttributes) => void, { fireImmediately }?: {
        fireImmediately?: boolean;
    }): () => void;
    setCanTrack(value: boolean): void;
};
export declare const setClientUserAttributes: (attributes: UserAttributes) => void;
//# sourceMappingURL=user-attributes.d.ts.map