"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.componentInfo = void 0;
const componentInfo = exports.componentInfo = {
  name: 'Embed',
  static: true,
  inputs: [{
    name: 'url',
    type: 'url',
    required: true,
    defaultValue: '',
    helperText: 'e.g. enter a youtube url, google map, etc'
  }, {
    name: 'content',
    type: 'html',
    defaultValue: '<div style="padding: 20px; text-align: center">(Choose an embed URL)<div>',
    hideFromUI: true
  }]
};
//# sourceMappingURL=component-info.js.map