"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var React = _react;
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../../components/content-variants/index"));
var _symbol = require("./symbol.helpers");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function Symbol(props) {
  var _props$builderBlock, _props$symbol7, _contentToUse$data, _props$symbol8;
  function blocksWrapper() {
    return _reactNative.View;
  }
  function contentWrapper() {
    return _reactNative.View;
  }
  function className() {
    var _props$symbol, _props$symbol2;
    return [...[], "builder-symbol", (_props$symbol = props.symbol) !== null && _props$symbol !== void 0 && _props$symbol.inline ? "builder-inline-symbol" : undefined, (_props$symbol2 = props.symbol) !== null && _props$symbol2 !== void 0 && _props$symbol2.dynamic || props.dynamic ? "builder-dynamic-symbol" : undefined].filter(Boolean).join(" ");
  }
  const [contentToUse, setContentToUse] = (0, _react.useState)(() => {
    var _props$symbol3;
    return (_props$symbol3 = props.symbol) === null || _props$symbol3 === void 0 ? void 0 : _props$symbol3.content;
  });
  const [symbolEntry, setSymbolEntry] = (0, _react.useState)(() => {
    var _props$symbol4;
    return (_props$symbol4 = props.symbol) === null || _props$symbol4 === void 0 ? void 0 : _props$symbol4.entry;
  });
  function setContent() {
    var _props$symbol5;
    if (contentToUse && symbolEntry === ((_props$symbol5 = props.symbol) === null || _props$symbol5 === void 0 ? void 0 : _props$symbol5.entry)) return;
    (0, _symbol.fetchSymbolContent)({
      symbol: props.symbol,
      builderContextValue: props.builderContext
    }).then(newContent => {
      if (newContent) {
        var _props$symbol6;
        setContentToUse(newContent);
        setSymbolEntry((_props$symbol6 = props.symbol) === null || _props$symbol6 === void 0 ? void 0 : _props$symbol6.entry);
      }
    });
  }
  (0, _react.useEffect)(() => {}, []);
  (0, _react.useEffect)(() => {
    setContent();
  }, [props.symbol]);
  return /*#__PURE__*/React.createElement(_reactNative.View, _extends({}, props.attributes, {
    dataSet: {
      class: className()
    }
  }), /*#__PURE__*/React.createElement(_index.default, {
    nonce: props.builderContext.nonce,
    isNestedRender: true,
    apiVersion: props.builderContext.apiVersion,
    apiKey: props.builderContext.apiKey,
    context: {
      ...props.builderContext.context,
      symbolId: (_props$builderBlock = props.builderBlock) === null || _props$builderBlock === void 0 ? void 0 : _props$builderBlock.id
    },
    customComponents: Object.values(props.builderComponents),
    data: {
      ...((_props$symbol7 = props.symbol) === null || _props$symbol7 === void 0 ? void 0 : _props$symbol7.data),
      ...props.builderContext.localState,
      ...(contentToUse === null || contentToUse === void 0 || (_contentToUse$data = contentToUse.data) === null || _contentToUse$data === void 0 ? void 0 : _contentToUse$data.state)
    },
    canTrack: props.builderContext.canTrack,
    model: ((_props$symbol8 = props.symbol) === null || _props$symbol8 === void 0 ? void 0 : _props$symbol8.model) ?? "",
    content: contentToUse,
    linkComponent: props.builderLinkComponent,
    blocksWrapper: blocksWrapper(),
    contentWrapper: contentWrapper()
  }));
}
var _default = exports.default = Symbol;
//# sourceMappingURL=symbol.js.map