"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var React = _react;
var _getBlockActions = require("../../../functions/get-block-actions");
var _getBlockProperties = require("../../../functions/get-block-properties");
var _awaiter = _interopRequireDefault(require("../../awaiter"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function InteractiveElement(props) {
  var _props$block;
  const [forceRenderCount, setForceRenderCount] = (0, _react.useState)(() => 0);
  function attributes() {
    return props.includeBlockProps ? {
      ...(0, _getBlockProperties.getBlockProperties)({
        block: props.block,
        context: props.context
      }),
      ...(0, _getBlockActions.getBlockActions)({
        block: props.block,
        rootState: props.context.rootState,
        rootSetState: props.context.rootSetState,
        localState: props.context.localState,
        context: props.context.context
      })
    } : {};
  }
  function targetWrapperProps() {
    return props.wrapperProps;
  }
  (0, _react.useEffect)(() => {}, [props.wrapperProps, (_props$block = props.block) === null || _props$block === void 0 || (_props$block = _props$block.component) === null || _props$block === void 0 ? void 0 : _props$block.options]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, props.Wrapper.load ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_awaiter.default, {
    load: props.Wrapper.load,
    fallback: props.Wrapper.fallback,
    props: props.wrapperProps,
    attributes: attributes()
  }, props.children)) : /*#__PURE__*/React.createElement(props.Wrapper, _extends({}, targetWrapperProps(), {
    attributes: attributes()
  }), props.children));
}
var _default = exports.default = InteractiveElement;
//# sourceMappingURL=interactive-element.js.map