"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var React = _react;
var _inlinedStyles = _interopRequireDefault(require("../../inlined-styles"));
var _styles = require("./styles.helpers");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function ContentStyles(props) {
  const [injectedStyles, setInjectedStyles] = (0, _react.useState)(() => `
${(0, _styles.getCss)({
    cssCode: props.cssCode,
    contentId: props.contentId
  })}
${(0, _styles.getFontCss)({
    customFonts: props.customFonts
  })}
${(0, _styles.getDefaultStyles)(props.isNestedRender)}
`.trim());
  return /*#__PURE__*/React.createElement(_inlinedStyles.default, {
    id: "builderio-content",
    styles: injectedStyles,
    nonce: props.nonce
  });
}
var _default = exports.default = ContentStyles;
//# sourceMappingURL=styles.js.map