"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logger = exports.MSG_PREFIX = void 0;
const MSG_PREFIX = exports.MSG_PREFIX = '[Builder.io]: ';
const logger = exports.logger = {
  log: (...message) => console.log(MSG_PREFIX, ...message),
  error: (...message) => console.error(MSG_PREFIX, ...message),
  warn: (...message) => console.warn(MSG_PREFIX, ...message),
  debug: (...message) => console.debug(MSG_PREFIX, ...message)
};
//# sourceMappingURL=logger.js.map